%global tarball xf86-video-amdgpu
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/drivers

Name: x11-driver-video-amdgpu
Version: 23.0.0
Release: %mkrel 2
Summary: X.org driver for ATI Technologies
Group: System/X11
URL: http://xorg.freedesktop.org
License: MIT
Source0: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-amdgpu-%{version}.tar.xz
Source1: 30-amdgpu-bl.rules
Patch0001:     0001-Fix-segfault-on-dock-suspend-unplug-resume.patch
Patch0002:     0002-Free-output_ids.patch
Patch0003:     0003-Enable-TearFree-if-it-s-set-to-auto-and-VariableRefr.patch
BuildRequires: x11-util-macros
BuildRequires: lib64drm-devel
BuildRequires: lib64pciaccess-devel
BuildRequires: lib64pixman-devel
BuildRequires: lib64udev0-devel
BuildRequires: x11-proto-devel
BuildRequires: x11-server-devel
Requires: x11-server-common
Requires: acl

%description
x11-driver-video-amdgpu is the X.org driver for AMD Southern Islands
and later.

%package udev
Summary: udev rule to set backlight brightness on amdgpu laptops
Group: System/X11
Requires:  x11-driver-video-amdgpu

%description udev
udev rule to set backlight brightness on amdgpu laptops

%prep
%setup -qn xf86-video-amdgpu-%{version}
%autopatch -p1

%build
export USE_CCACHE=1
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
export CXXFLAGS="$CXXFLAGS -O3 -pipe -ffast-math"

%configure2_5x --enable-glamor
%make_build

%install
rm -rf %buildroot
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

install -Dm 0644 %SOURCE1 %buildroot/lib/udev/rules.d/30-amdgpu-bl.rules

%files
%{_libdir}/xorg/modules/drivers/amdgpu_drv.so
%{_datadir}/X11/xorg.conf.d/10-amdgpu.conf
%{_mandir}/man4/amdgpu.4*

%files udev
/lib/udev/rules.d/30-amdgpu-bl.rules

%changelog
* Sat Oct 21 2023 tex - 23.0.0-2pclos2023
- Merge patches from git upstream

* Wed Feb 22 2023 tex - 23.0.0-1pclos2023
- new version

* Fri Feb 10 2023 tex - 22.0.0-4pclos2023
- add upstream patches

* Mon Dec 19 2022 tex - 22.0.0-3pclos2022
- rebuild against updates

* Sat Oct 29 2022 tex - 22.0.0-2pclos2022
- rebuild with optimizations and test

* Thu Feb 24 2022 tex - 22.0.0-1pclos2022
- new version

* Wed Jan 26 2022 tex - 21.0.0-4pclos2022
- rebuild against updates

* Fri Jan 07 2022 tex - 21.0.0-3pclos2021
- split out udev rule for amdgpu laptops

* Fri Sep 17 2021 tex - 21.0.0-2pclos2021
- add udev rule for laptop brightness kernel 5.14

* Fri Jul 30 2021 tex - 21.0.0-1pclos2021
- new version

* Sat Jun 19 2021 tex - 19.1.0-8pclos2021
- rebuild against updates

* Mon Jun 14 2021 tex - 10.1.0-7pclos2021
- apply patch 4

